apiVersion: v1
kind: PersistentVolume
metadata:
  name: crowdsec-agent-pv
spec:
  capacity:
    storage: 100Mi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  local:
    path: /srv/k8s/crowdsec-agent
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - durian.leb.memhamwan.net
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: crowdsec-lapi-config-pv
spec:
  capacity:
    storage: 100Mi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  local:
    path: /srv/k8s/crowdsec-lapi-config
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - durian.leb.memhamwan.net
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: crowdsec-lapi-data-pv
spec:
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  local:
    path: /srv/k8s/crowdsec-lapi-data
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - durian.leb.memhamwan.net
